> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# URL दस्तावेज़ बनाएं

POST https://api.elevenlabs.io/v1/convai/knowledge-base/url
Content-Type: application/json

दिए गए वेबपेज को स्क्रैप करके जनरेट की गई नॉलेज बेस डॉक्यूमेंट बनाएं।

Reference: https://elevenlabs.io/docs/eleven-agents/api-reference/knowledge-base/create-from-url

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Body (application/json)

This endpoint expects an object.

- `url` (string, required) — डॉक्यूमेंटेशन के उस पेज का URL, जिसे एजेंट यूज़र्स के साथ इंटरैक्ट करने के लिए एक्सेस कर सकेगा।
- `name` (string, optional) — दस्तावेज़ के लिए कस्टम, इंसानों के पढ़ने योग्य नाम।
- `parent_folder_id` (string, optional) — सेट होने पर, बनाया गया दस्तावेज़ या फ़ोल्डर दिए गए फ़ोल्डर के अंदर रखा जाएगा।
- `enable_auto_sync` (boolean, optional, default: false) — क्या इस URL दस्तावेज़ के लिए auto-sync सक्षम करना है।
- `auto_remove` (boolean, optional, default: false) — क्या URL अनुपलब्ध होने पर दस्तावेज़ को अपने-आप हटाना है। यह केवल auto-sync सक्षम होने पर लागू है।
- `minimum_frequency_days` (integer, optional) — न्यूनतम आवृत्ति (दिनों में) जिस पर दस्तावेज़ रीफ़्रेश होता है। वास्तविक अंतराल कम हो सकता है, कभी ज़्यादा नहीं। डिफ़ॉल्ट 7 है; पैरेंट फ़ोल्डर की आवृत्ति अधिक सख्त होने पर उसी के अनुसार सेट किया जाता है। केवल ऑटो-सिंक सक्षम होने पर लागू।

## Response

### 200

सफल रिस्पॉन्स

- `id` (string, required)
- `name` (string, required)
- `folder_path` (list of KnowledgeBaseFolderPathSegmentSummaryResponseModel, optional) — रूट से पैरेंट फ़ोल्डर तक, इस एंटिटी तक ले जाने वाले फ़ोल्डर पाथ सेगमेंट।

## Errors

### 422 Documents Create from URL Request Unprocessable Entity Error

वैलिडेशन एरर

- `detail` (list of ValidationError, optional)

## Types

### KnowledgeBaseFolderPathSegmentSummaryResponseModel

- `id` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

## Examples

**Request**

```json
{
  "url": "url"
}
```

**Response**

```json
{
  "id": "id",
  "name": "name",
  "folder_path": [
    {
      "id": "id"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/knowledge-base/url"

payload = { "url": "url" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/knowledge-base/url';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"url":"url"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/knowledge-base/url"

	payload := strings.NewReader("{\n  \"url\": \"url\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/knowledge-base/url")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"url\": \"url\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/convai/knowledge-base/url")
  .header("Content-Type", "application/json")
  .body("{\n  \"url\": \"url\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/convai/knowledge-base/url', [
  'body' => '{
  "url": "url"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/knowledge-base/url");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"url\": \"url\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["url": "url"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/knowledge-base/url")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```